import request from '@/utils/request'

// 查询车辆位置数据列表
export function listLocation(query) {
  return request({
    url: '/location/location/list',
    method: 'get',
    params: query
  })
}

// 查询车辆位置数据详细
export function getLocation(id) {
  return request({
    url: '/location/location/' + id,
    method: 'get'
  })
}

// 新增车辆位置数据
export function addLocation(data) {
  return request({
    url: '/location/location',
    method: 'post',
    data: data
  })
}

// 修改车辆位置数据
export function updateLocation(data) {
  return request({
    url: '/location/location',
    method: 'put',
    data: data
  })
}

// 删除车辆位置数据
export function delLocation(id) {
  return request({
    url: '/location/location/' + id,
    method: 'delete'
  })
}
